<MorpheusModel version="4">
    <Description>
        <Title>Example-CellSorting-2D</Title>
        <Details>Demo of cell population initialization from a file (here Population_M.csv).
        </Details>
    </Description>
    <Global/>
    <Space>
        <SpaceSymbol symbol="l"/>
        <Lattice class="square">
            <Size symbol="size" value="200, 200, 0"/>
            <BoundaryConditions>
                <Condition type="periodic" boundary="x"/>
                <Condition type="periodic" boundary="y"/>
            </BoundaryConditions>
            <Neighborhood>
                <Order>2</Order>
            </Neighborhood>
        </Lattice>
    </Space>
    <Time>
        <StartTime value="0"/>
        <StopTime value="100"/>
        <RandomSeed value="0"/>
        <TimeSymbol symbol="time"/>
    </Time>
    <CellTypes>
        <CellType name="ct1" class="biological">
            <VolumeConstraint target="100" strength="1"/>
        </CellType>
        <CellType name="ct2" class="biological">
            <VolumeConstraint target="100" strength="1"/>
        </CellType>
        <CellType name="medium" class="medium"/>
    </CellTypes>
    <CPM>
        <Interaction default="0.0">
            <Contact type2="medium" type1="ct1" value="12"/>
            <Contact type2="medium" type1="ct2" value="6"/>
            <Contact type2="ct1" type1="ct1" value="6"/>
            <Contact type2="ct2" type1="ct2" value="6"/>
            <Contact type2="ct2" type1="ct1" value="16"/>
        </Interaction>
        <MonteCarloSampler stepper="edgelist">
            <MCSDuration value="1"/>
            <Neighborhood>
                <Order>2</Order>
            </Neighborhood>
            <MetropolisKinetics temperature="2"/>
        </MonteCarloSampler>
        <ShapeSurface scaling="norm">
            <Neighborhood>
                <Order>6</Order>
            </Neighborhood>
        </ShapeSurface>
    </CPM>
    <CellPopulations>
        <Population type="ct1" size="0">
            <CSVReader filename="Population_M.csv" scaling="1.0, 1.0, 1.0"/>
        </Population>
        <Population type="ct2" size="0">
            <InitCircle mode="regular" number-of-cells="100">
                <Dimensions center="size.x/2, size.y/2, 0" radius="size.x/3"/>
            </InitCircle>
        </Population>
    </CellPopulations>
    <Analysis>
        <Gnuplotter time-step="10" decorate="false">
            <Terminal name="png"/>
            <Plot>
                <Cells flooding="true" value="cell.type"/>
            </Plot>
        </Gnuplotter>
        <ModelGraph include-tags="#untagged" format="dot" reduced="false"/>
    </Analysis>
</MorpheusModel>
